Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class BrowseResult

    java.lang.Object
      org.teleal.cling.support.model.BrowseResult

    public class BrowseResult

extends Object

Author:
  Alessio Gaeta, Christian Bauer

Field Summary
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `containerUpdateID`
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `count`
`protected String` | `result`
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `totalMatches`

Constructor Summary
`BrowseResult(String result, long count, long totalMatches)`
`BrowseResult(String result, long count, long totalMatches, long updatedId)`
`BrowseResult(String result, org.teleal.cling.model.types.UnsignedIntegerFourBytes count, org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches, org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID)`

Method Summary
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getContainerUpdateID()`
`long` | `getContainerUpdateIDLong()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getCount()`
`long` | `getCountLong()`
`String` | `getResult()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getTotalMatches()`
`long` | `getTotalMatchesLong()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected String result

### count

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes count

### totalMatches

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches

### containerUpdateID

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID

Constructor Detail

### BrowseResult

    public BrowseResult(String result,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes count,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID)

### BrowseResult

    public BrowseResult(String result,
                        long count,
                        long totalMatches)

### BrowseResult

    public BrowseResult(String result,
                        long count,
                        long totalMatches,
                        long updatedId)

Method Detail

### getResult

    public String getResult()

### getCount

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getCount()

### getCountLong

    public long getCountLong()

### getTotalMatches

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getTotalMatches()

### getTotalMatchesLong

    public long getTotalMatchesLong()

### getContainerUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getContainerUpdateID()

### getContainerUpdateIDLong

    public long getContainerUpdateIDLong()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.